package com.ruoyi.project.aspen.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 电厂大屏每日0：00抓取数据对象 t_dashboarddayelec
 *
 * @author ruoyi
 * @date 2022-03-12
 */
public class TDashboarddayelec extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 抓取时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "抓取时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 发电机表GTG1一号电机 发电水平 level */
    @Excel(name = "发电机表GTG1一号电机 发电水平 level")
    private String gtg1Lv;

    /** 发电机表GTG1一号电机 发电效率 workpiece ratio */
    @Excel(name = "发电机表GTG1一号电机 发电效率 workpiece ratio")
    private String gtg1Wr;

    /** 发电机表GTG2二号电机 发电水平 level */
    @Excel(name = "发电机表GTG2二号电机 发电水平 level")
    private String gtg2Lv;

    /** 发电机表GTG2二号电机 发电效率 workpiece ratio */
    @Excel(name = "发电机表GTG2二号电机 发电效率 workpiece ratio")
    private String gtg2Wr;

    /** 发电机表GTG3三号电机 发电水平 level */
    @Excel(name = "发电机表GTG3三号电机 发电水平 level")
    private String gtg3Lv;

    /** 发电机表GTG3三号电机 发电效率 workpiece ratio */
    @Excel(name = "发电机表GTG3三号电机 发电效率 workpiece ratio")
    private String gtg3Wr;

    /** 发电机表STG发电水平 level */
    @Excel(name = "发电机表STG发电水平 level")
    private String stg1Lv;

    /** 发电机表STG发电效率 workpiece ratio */
    @Excel(name = "发电机表STG发电效率 workpiece ratio")
    private String stg1Wr;

    /** 发电机表总发电量 */
    @Excel(name = "发电机表总发电量")
    private String mwhLv;

    /** 发电机表全厂效率 */
    @Excel(name = "发电机表全厂效率")
    private String mwhWr;

    /** 蒸汽表HHP */
    @Excel(name = "蒸汽表HHP")
    private String hhp;

    /** 蒸汽表HP */
    @Excel(name = "蒸汽表HP")
    private String hp;

    /** 蒸汽表LP */
    @Excel(name = "蒸汽表LP")
    private String lp;

    /** 蒸汽表MP */
    @Excel(name = "蒸汽表MP")
    private String mp;

    /** 蒸汽表累计总消耗量（吨） */
    @Excel(name = "蒸汽表累计总消耗量", readConverterExp = "吨=")
    private String totalConsumption;

    /** 蒸汽表HHP数值 */
    @Excel(name = "蒸汽表HHP数值")
    private Long hhpNum;

    /** 蒸汽表HHP温度 */
    @Excel(name = "蒸汽表HHP温度")
    private String hhpTemp;

    /** 蒸汽表HP数值 */
    @Excel(name = "蒸汽表HP数值")
    private String hpNum;

    /** 蒸汽表HP温度 */
    @Excel(name = "蒸汽表HP温度")
    private String hpTemp;

    /** 蒸汽表LP数值 */
    @Excel(name = "蒸汽表LP数值")
    private Long lpNum;

    /** 蒸汽表LP温度 */
    @Excel(name = "蒸汽表LP温度")
    private String lpTemp;

    /** 蒸汽表MP数值 */
    @Excel(name = "蒸汽表MP数值")
    private Long mpNum;

    /** 蒸汽表MP温度 */
    @Excel(name = "蒸汽表MP温度")
    private String mpTemp;

    /** 天然气表中石化 */
    @Excel(name = "天然气表中石化")
    private String shihua;

    /** 天然气表中石油 */
    @Excel(name = "天然气表中石油")
    private String shiyou;

    /** 天然气表瞬时量 */
    @Excel(name = "天然气表瞬时量")
    private String shunshiliang;

    /** 电量表昨日发电量Yesterday's power generation */
    @Excel(name = "电量表昨日发电量Yesterday's power generation")
    private String ypg;

    /** 电量表倒电量 */
    @Excel(name = "电量表倒电量")
    private String daodianliang;

    /** 电量表每日用电量 */
    @Excel(name = "电量表每日用电量")
    private String eveLec;

    /** 电量表每日峰谷差 */
    @Excel(name = "电量表每日峰谷差")
    private String fenggucha;

    /** 电量表BYC用电量 */
    @Excel(name = "电量表BYC用电量")
    private String bycElec;

    /** 电量表BOC用电量 */
    @Excel(name = "电量表BOC用电量")
    private String bocElec;

    /** 数据日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "数据日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataDate;

    /** 抓取数据日 */
    @Excel(name = "抓取数据日")
    private String dateDay;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setGtg1Lv(String gtg1Lv)
    {
        this.gtg1Lv = gtg1Lv;
    }

    public String getGtg1Lv()
    {
        return gtg1Lv;
    }
    public void setGtg1Wr(String gtg1Wr)
    {
        this.gtg1Wr = gtg1Wr;
    }

    public String getGtg1Wr()
    {
        return gtg1Wr;
    }
    public void setGtg2Lv(String gtg2Lv)
    {
        this.gtg2Lv = gtg2Lv;
    }

    public String getGtg2Lv()
    {
        return gtg2Lv;
    }
    public void setGtg2Wr(String gtg2Wr)
    {
        this.gtg2Wr = gtg2Wr;
    }

    public String getGtg2Wr()
    {
        return gtg2Wr;
    }
    public void setGtg3Lv(String gtg3Lv)
    {
        this.gtg3Lv = gtg3Lv;
    }

    public String getGtg3Lv()
    {
        return gtg3Lv;
    }
    public void setGtg3Wr(String gtg3Wr)
    {
        this.gtg3Wr = gtg3Wr;
    }

    public String getGtg3Wr()
    {
        return gtg3Wr;
    }
    public void setStg1Lv(String stg1Lv)
    {
        this.stg1Lv = stg1Lv;
    }

    public String getStg1Lv()
    {
        return stg1Lv;
    }
    public void setStg1Wr(String stg1Wr)
    {
        this.stg1Wr = stg1Wr;
    }

    public String getStg1Wr()
    {
        return stg1Wr;
    }
    public void setMwhLv(String mwhLv)
    {
        this.mwhLv = mwhLv;
    }

    public String getMwhLv()
    {
        return mwhLv;
    }
    public void setMwhWr(String mwhWr)
    {
        this.mwhWr = mwhWr;
    }

    public String getMwhWr()
    {
        return mwhWr;
    }
    public void setHhp(String hhp)
    {
        this.hhp = hhp;
    }

    public String getHhp()
    {
        return hhp;
    }
    public void setHp(String hp)
    {
        this.hp = hp;
    }

    public String getHp()
    {
        return hp;
    }
    public void setLp(String lp)
    {
        this.lp = lp;
    }

    public String getLp()
    {
        return lp;
    }
    public void setMp(String mp)
    {
        this.mp = mp;
    }

    public String getMp()
    {
        return mp;
    }
    public void setTotalConsumption(String totalConsumption)
    {
        this.totalConsumption = totalConsumption;
    }

    public String getTotalConsumption()
    {
        return totalConsumption;
    }
    public void setHhpNum(Long hhpNum)
    {
        this.hhpNum = hhpNum;
    }

    public Long getHhpNum()
    {
        return hhpNum;
    }
    public void setHhpTemp(String hhpTemp)
    {
        this.hhpTemp = hhpTemp;
    }

    public String getHhpTemp()
    {
        return hhpTemp;
    }
    public void setHpNum(String hpNum)
    {
        this.hpNum = hpNum;
    }

    public String getHpNum()
    {
        return hpNum;
    }
    public void setHpTemp(String hpTemp)
    {
        this.hpTemp = hpTemp;
    }

    public String getHpTemp()
    {
        return hpTemp;
    }
    public void setLpNum(Long lpNum)
    {
        this.lpNum = lpNum;
    }

    public Long getLpNum()
    {
        return lpNum;
    }
    public void setLpTemp(String lpTemp)
    {
        this.lpTemp = lpTemp;
    }

    public String getLpTemp()
    {
        return lpTemp;
    }
    public void setMpNum(Long mpNum)
    {
        this.mpNum = mpNum;
    }

    public Long getMpNum()
    {
        return mpNum;
    }
    public void setMpTemp(String mpTemp)
    {
        this.mpTemp = mpTemp;
    }

    public String getMpTemp()
    {
        return mpTemp;
    }
    public void setShihua(String shihua)
    {
        this.shihua = shihua;
    }

    public String getShihua()
    {
        return shihua;
    }
    public void setShiyou(String shiyou)
    {
        this.shiyou = shiyou;
    }

    public String getShiyou()
    {
        return shiyou;
    }
    public void setShunshiliang(String shunshiliang)
    {
        this.shunshiliang = shunshiliang;
    }

    public String getShunshiliang()
    {
        return shunshiliang;
    }
    public void setYpg(String ypg)
    {
        this.ypg = ypg;
    }

    public String getYpg()
    {
        return ypg;
    }
    public void setDaodianliang(String daodianliang)
    {
        this.daodianliang = daodianliang;
    }

    public String getDaodianliang()
    {
        return daodianliang;
    }
    public void setEveLec(String eveLec)
    {
        this.eveLec = eveLec;
    }

    public String getEveLec()
    {
        return eveLec;
    }
    public void setFenggucha(String fenggucha)
    {
        this.fenggucha = fenggucha;
    }

    public String getFenggucha()
    {
        return fenggucha;
    }
    public void setBycElec(String bycElec)
    {
        this.bycElec = bycElec;
    }

    public String getBycElec()
    {
        return bycElec;
    }
    public void setBocElec(String bocElec)
    {
        this.bocElec = bocElec;
    }

    public String getBocElec()
    {
        return bocElec;
    }
    public void setDataDate(Date dataDate)
    {
        this.dataDate = dataDate;
    }

    public Date getDataDate()
    {
        return dataDate;
    }
    public void setDateDay(String dateDay)
    {
        this.dateDay = dateDay;
    }

    public String getDateDay()
    {
        return dateDay;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("gtg1Lv", getGtg1Lv())
            .append("gtg1Wr", getGtg1Wr())
            .append("gtg2Lv", getGtg2Lv())
            .append("gtg2Wr", getGtg2Wr())
            .append("gtg3Lv", getGtg3Lv())
            .append("gtg3Wr", getGtg3Wr())
            .append("stg1Lv", getStg1Lv())
            .append("stg1Wr", getStg1Wr())
            .append("mwhLv", getMwhLv())
            .append("mwhWr", getMwhWr())
            .append("hhp", getHhp())
            .append("hp", getHp())
            .append("lp", getLp())
            .append("mp", getMp())
            .append("totalConsumption", getTotalConsumption())
            .append("hhpNum", getHhpNum())
            .append("hhpTemp", getHhpTemp())
            .append("hpNum", getHpNum())
            .append("hpTemp", getHpTemp())
            .append("lpNum", getLpNum())
            .append("lpTemp", getLpTemp())
            .append("mpNum", getMpNum())
            .append("mpTemp", getMpTemp())
            .append("shihua", getShihua())
            .append("shiyou", getShiyou())
            .append("shunshiliang", getShunshiliang())
            .append("ypg", getYpg())
            .append("daodianliang", getDaodianliang())
            .append("eveLec", getEveLec())
            .append("fenggucha", getFenggucha())
            .append("bycElec", getBycElec())
            .append("bocElec", getBocElec())
            .append("dataDate", getDataDate())
            .append("dateDay", getDateDay())
            .toString();
    }
}
